## password-gorilla 1.4

=== Makefile ===
VERSION = current
CVSTAG = -D now
# WINKIT = /local/pkg/tclkit/8.4.9/lib/tclkit-8.4.9/tclkit-win32.upx.exe
WINKIT = c:/Software/tclkit/tclkit-with-encodings.exe
SDX = c:/Software/tclkit/tclkitsh c:/Software/tclkit/sdx.kit

TGZDIST = gorilla-$(VERSION).tar.gz
ZIPDIST = gorilla-$(VERSION).zip
KITDIST = gorilla-$(VERSION).kit
WINDIST = gorilla-$(VERSION).exe

all:
	@echo "usage: make <dist> VERSION=\"<version>\" CVSTAG=\"<tag>\""
	@echo "where:"
	@echo "   <dist>    is tgz, zip, kit, exe or dist"
	@echo "   <version> is the file's version suffix"
	@echo "   <tag>     is the CVS tag or date, e.g., \"-D now\""

dist: tgz zip kit exe
tgz: $(TGZDIST)
zip: $(ZIPDIST)
kit: $(KITDIST)
exe: $(WINDIST)

.SUFFIXES:
.PHONY: phony

gorilla-$(VERSION).exe: gorilla-$(VERSION).kit
	rm -rf temp
	mkdir temp
	cp $^ temp/gorilla.kit
	(cd temp; $(SDX) unwrap gorilla.kit)
	cp pics/gorilla.ico temp/gorilla.vfs/tclkit.ico
	(cd temp; $(SDX) wrap gorilla.kit -runtime $(WINKIT))
	mv temp/gorilla.kit $@
	rm -rf temp

gorilla-$(VERSION).kit:
	rm -rf temp
	mkdir temp
	(cd temp; cvs export $(CVSTAG) gorilla)
	(cd temp/gorilla; $(SDX) qwrap gorilla.tcl)
	(cd temp/gorilla; $(SDX) unwrap gorilla.kit)
	(cp temp/gorilla/LICENSE.txt temp/gorilla/help.txt \
		temp/gorilla/isaac.tcl \
		temp/gorilla/gorilla.vfs/lib/app-gorilla/)
	(cp -R temp/gorilla/blowfish \
		temp/gorilla/twofish \
		temp/gorilla/pwsafe \
		temp/gorilla/sha1 \
		temp/gorilla/gorilla.vfs/lib)
	cp -R BWidget-1.7.0 temp/gorilla/gorilla.vfs/lib
	(cd temp/gorilla; $(SDX) wrap gorilla.kit)
	mv temp/gorilla/gorilla.kit $@
	rm -rf temp

gorilla-$(VERSION).tar.gz:
	rm -rf temp
	mkdir temp
	(cd temp ; cvs export $(CVSTAG) -d gorilla-$(VERSION) gorilla)
	(cd temp ; tar cf ../gorilla-$(VERSION).tar gorilla-$(VERSION))
	gzip -9 gorilla-$(VERSION).tar
	rm -rf temp

gorilla-$(VERSION).zip:
	rm -rf temp
	rm -f $@
	mkdir temp
	(cd temp ; cvs export $(CVSTAG) gorilla)
	(cd temp/gorilla; zip -r ../../gorilla-$(VERSION).zip *)
	rm -rf temp

distclean: clean
	rm -rf *.exe *.kit *.zip *.tar.gz

clean:
	find . -name '*~' -exec rm -f {} \;
	rm -rf config.* gorilla
	rm -rf core a.out *~ *.o *.I
	rm -rf temp

## password-gorilla 1.5.3.4

=== debian/changelog ===
password-gorilla (1.5.3.4-1) unstable; urgency=low

  * New upstream version
  * Adapt packaging to new upstreams source layout:
    + Search for files in sources/
    + Install new files (msgs, etc.)
    + Remove configure/make invocations (new upstream source does not have
      that anymore...)
  * Add {misc:Depends} to depends
  * Bump Standards-Version; no changes needed
  * Get rid of patches; not needed anymore
  * Add a debian/source/format file to indicate the used source format
  * Bugfix in package description: Remove article in front of short description

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Thu, 07 Apr 2011 14:37:34 +0200

password-gorilla (1.4-5) unstable; urgency=low

  * Include patch from Sergei Golovan to switch to Tcl/Tk 8.5 to
    match changes in itcl3 and itk3 packages.
    (Closes: #545140)
  * Bump standards version; no changes needed
  * Do not call dh_desktop as it is obsolete
  * Update watch file to reflect new upstream location

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Thu, 07 Apr 2011 13:43:57 +0200

password-gorilla (1.4-4) unstable; urgency=low

  * Updated maintainer email address
  * Added a file README.source to document the patch handling
  * Upgraded Standards-Version

 -- Patrick Schoenfeld <schoenfeld@debian.org>  Mon, 29 Dec 2008 18:28:27 +0100

password-gorilla (1.4-3) unstable; urgency=low

  * Use the new Homepage header instead of a pseudo-header
  * Updated Standards-Version
  * Added Vcs-Headers
  * Made watch file work again by adding trailing slash to the url
  * Updated debian/copyright to clarify license and copyright information
  * Replaced (C) with © in debian/copyright because of its legal entitlement
  * Include a commented DH_VERBOSE=1 line in debian/rules
  * Remove encoding line from desktop file because its deprecated
  * Removed lintian override, because its no longer needed
  * Use Build-Depends-Indep instead of Build-Depends, except for debhelper and
    dpatch, because they are used in the clean target
  * Wrap lines after 80 characters in
    01_patch-wrong-interpreter-in-twotest-tcl.dpatch
  * Added tcllib to depends so that this can be used instead of a
    packaged copy
  * Do not install a copy of the sha1 lib which is part of tcllib
  * Do not install pwsafe.dat, because it is useless
  * Install icons in different sizes to appropriate location in
    /usr/share/icons/
  * Call dh_desktop in debian/rules so that desktop file gets registered
  * Add a note to the copyright file that sha1 is only present in the
    source package
  * Added a versioned build depend for debhelper, because of dh_icons
  * Change StartupNotify to false in desktop file because it is not used

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Fri, 29 Feb 2008 11:31:56 +0100

password-gorilla (1.4-2) unstable; urgency=low

  * Changed architecture to 'all' in order to fix FTBFS (Closes: #444860)
  * Added a watch file

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Sun, 07 Oct 2007 18:17:16 +0200

password-gorilla (1.4-1) unstable; urgency=low

  * Initial release (Closes: #309238)
  * Added a manpage

 -- Patrick Schoenfeld <schoenfeld@in-medias-res.com>  Wed, 05 Sep 2007 21:39:10 +0200

=== debian/control ===
Source: password-gorilla
Section: x11
Priority: extra
Maintainer: Patrick Schoenfeld <schoenfeld@debian.org>
Homepage: http://www.fpx.de/fp/Software/Gorilla/
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/ext-maint/password-gorilla/trunk
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/password-gorilla
Build-Depends: debhelper (>= 5.0.51~)
Build-Depends-Indep: autotools-dev, tk8.5, imagemagick, docbook-to-man
Standards-Version: 3.9.1

Package: password-gorilla
Architecture: all
Depends: tcl8.5, tk8.5, itcl3, bwidget, tcllib, ${misc:Depends}
Description: cross-platform password manager
 The Password Gorilla helps you manage your logins. It stores all your
 user names and passwords, along with login information and other
 notes, in a securely encrypted file. A single "master password" is
 used to protect the file. This way, you only need to remember the
 single master password, instead of the many logins that you use.
 .
 If you want to log in to a service or Web site, the Password Gorilla
 copies your user name and password to the clipboard, so that you can
 easily paste it into your Web browser or other application. Because
 the password does not appear on the screen, Password Gorilla is safe
 to use in the presence of others.
 .
 The convenience of Password Gorilla allows you to choose different,
 non-intuitive passwords for each service. An integrated random
 password generator can provide one-time passwords, tunable to various
 services' policies.
 .
 Password Gorilla is a tcl/tk application which can run on Linux and
 Windows, and the files written are supposed to be compatible between
 platforms. This is important for collaboration in heterogenous
 environments.

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE=1

build: build-stamp
build-stamp:
	convert sources/pics/gorilla-32x32.gif debian/password-gorilla-32x32.png
	convert sources/pics/gorilla-16x16.gif debian/password-gorilla-16x16.png
	convert sources/pics/gorilla-48x48.gif debian/password-gorilla-48x48.png
	convert sources/pics/gorilla-32x32.gif debian/password-gorilla.xpm
	docbook-to-man debian/manpage.sgml > debian/password-gorilla.1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -f configure-stamp
	rm -f debian/password-gorilla.1
	rm -f debian/password-gorilla.xpm
	rm -f debian/password-gorilla*.png
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Install directories
	install -d debian/password-gorilla/usr/share/password-gorilla
	install -d debian/password-gorilla/usr/share/password-gorilla/pwsafe
	install -d debian/password-gorilla/usr/share/password-gorilla/twofish
	install -d debian/password-gorilla/usr/share/password-gorilla/tooltip
	install -d debian/password-gorilla/usr/share/password-gorilla/msgs

	# Install files
	install -D -m644 sources/*.tcl debian/password-gorilla/usr/share/password-gorilla/
	install -D -m755 sources/gorilla.tcl debian/password-gorilla/usr/share/password-gorilla/
	install -D -m644 sources/tooltip/* debian/password-gorilla/usr/share/password-gorilla/tooltip
	install -D -m644 sources/msgs/* debian/password-gorilla/usr/share/password-gorilla/msgs
	install -D -m644 sources/help.txt debian/password-gorilla/usr/share/password-gorilla/help.txt
	install -D -m644 sources/blowfish/blowtest.tcl debian/password-gorilla/usr/share/password-gorilla/blowfish/blowtest.tcl
	install -m644 sources/blowfish/blowfish.tcl sources/blowfish/pkgIndex.tcl debian/password-gorilla/usr/share/password-gorilla/blowfish
	install -m644 sources/pwsafe/*.tcl debian/password-gorilla/usr/share/password-gorilla/pwsafe/
	install -m644 sources/twofish/*.tcl debian/password-gorilla/usr/share/password-gorilla/twofish
	install -D -m755 debian/password-gorilla.sh debian/password-gorilla/usr/bin/password-gorilla
	install -D -m644 debian/password-gorilla.desktop debian/password-gorilla/usr/share/applications/password-gorilla.desktop
	install -D -m644 debian/password-gorilla.1 debian/password-gorilla/usr/share/man/man1/password-gorilla.1

	# install icons
	install -D -m644 debian/password-gorilla-32x32.png debian/password-gorilla/usr/share/icons/hicolor/32x32/password-gorilla.png
	install -D -m644 debian/password-gorilla-48x48.png debian/password-gorilla/usr/share/icons/hicolor/48x48/password-gorilla.png
	install -D -m644 debian/password-gorilla-16x16.png debian/password-gorilla/usr/share/icons/hicolor/16x16/password-gorilla.png
	install -D -m644 debian/password-gorilla.xpm debian/password-gorilla/usr/share/pixmaps/password-gorilla.xpm

	# some fixes
	sed -i '1d' debian/password-gorilla/usr/share/password-gorilla/twofish/f32-critcl.tcl

	# fix permissions
	chmod 755 debian/password-gorilla/usr/share/password-gorilla/pwsafe/pwtest.tcl
	chmod 755 debian/password-gorilla/usr/share/password-gorilla/twofish/twotest.tcl

binary-arch: build install
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs sources/CHANGES.txt
	dh_installmenu
	dh_installdocs
	dh_icons
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts="filenamemangle=s/v/password-gorilla-/g;s|/github/zdia/gorilla/||" http://githubredir.debian.net/github/zdia/gorilla .*v(.+).tar.gz

## password-gorilla 1.5.3.6.3

=== debian/changelog ===
password-gorilla (1.5.3.6.3-1) unstable; urgency=low

  * New maintainer (Closes: #698725)
  * New upstream version (Closes: #698665, #622398)
  * Bump package version
    + Standards-Version; no changes needed
    + Bump compat; no changes needed
    + Build-Depends: newer debhelper version
    + Add Build-Depends: dpkg-dev; fixes lintian warning
    + Add Build-Depends-Indep: librsvg2-bin; allows icon generation
    + Remove dependency on autotools-dev
  * Use debhelper more thoroughly
    + Use dh in debian/rules
    + Use override_dh_auto_build for sgml->man
    + Use override_dh_install for icons conversion, shell script installation
    + Add manpages file
    + Add clean file for generated man page
    + Add install file to install most files
    + Remove dirs file; not needed anymore
  * Update watch file to use simpler format
  * Remove README.source, which contained outdated information
  * Use tklib's version of tooltip module
    + Add Depends rule on tklib
  * Generate higher quality icons (up to 128x128)
  * Fix target directory of png icons
  * Rename manpage.sgml->password-gorilla.sgml
  * Don't package twofish, blowfish, and pwsafe test scripts
  * Modify man page to point to GPL-2 specifically
  * Drop dependency on bwidget, no longer needed

 -- Alexandre Raymond <alexandre.j.raymond@gmail.com>  Wed, 06 Feb 2013 23:22:39 -0500

## password-gorilla 1.5.3.7

=== debian/changelog ===
password-gorilla (1.5.3.7-1) unstable; urgency=low

  * New upstream version v1.5.3.7
  * Add new files
    + Images are now contained in the pics/ directory

 -- Alexandre Raymond <alexandre.j.raymond@gmail.com>  Sun, 17 Mar 2013 16:25:24 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: password-gorilla
 Section: x11
 Priority: extra
-Maintainer: Patrick Schoenfeld <schoenfeld@debian.org>
-Homepage: http://www.fpx.de/fp/Software/Gorilla/
-Vcs-Svn: svn://svn.debian.org/svn/collab-maint/ext-maint/password-gorilla/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/ext-maint/password-gorilla
-Build-Depends: debhelper (>= 5.0.51~)
-Build-Depends-Indep: autotools-dev, tk8.5, imagemagick, docbook-to-man
-Standards-Version: 3.9.1
+Maintainer: Alexandre Raymond <alexandre.j.raymond@gmail.com>
+Homepage: https://github.com/zdia/gorilla/wiki
+Vcs-Git: git://github.com/ajraymond/gorilla-debian.git
+Vcs-Browser: https://github.com/ajraymond/gorilla-debian
+Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~)
+Build-Depends-Indep: docbook-to-man, imagemagick, librsvg2-bin, tk8.5
+Standards-Version: 3.9.4
 
 Package: password-gorilla
 Architecture: all
-Depends: tcl8.5, tk8.5, itcl3, bwidget, tcllib, ${misc:Depends}
+Depends: tcl8.5, tk8.5, itcl3, tcllib, tklib, ${misc:Depends}
 Description: cross-platform password manager
  The Password Gorilla helps you manage your logins. It stores all your
  user names and passwords, along with login information and other

=== debian/rules ===
#!/usr/bin/make -f

# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	docbook-to-man debian/password-gorilla.sgml	> debian/password-gorilla.1
	dh_auto_build

override_dh_install:
	install -D debian/password-gorilla.sh debian/password-gorilla/usr/bin/password-gorilla
	install -D sources/CHANGES.txt debian/password-gorilla/usr/share/doc/password-gorilla/changelog
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/16x16/apps
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/32x32/apps
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/48x48/apps
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/72x72/apps
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/96x96/apps
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/128x128/apps
	mkdir -p debian/password-gorilla/usr/share/pixmaps
	convert -background none -resize 16x16\!   sources/pics/vector-logo/gorilla-logo.svg debian/password-gorilla/usr/share/icons/hicolor/16x16/apps/password-gorilla.png
	convert -background none -resize 32x32\!   sources/pics/vector-logo/gorilla-logo.svg debian/password-gorilla/usr/share/icons/hicolor/32x32/apps/password-gorilla.png
	convert -background none -resize 48x48\!   sources/pics/vector-logo/gorilla-logo.svg debian/password-gorilla/usr/share/icons/hicolor/48x48/apps/password-gorilla.png
	convert -background none -resize 72x72\!   sources/pics/vector-logo/gorilla-logo.svg debian/password-gorilla/usr/share/icons/hicolor/72x72/apps/password-gorilla.png
	convert -background none -resize 96x96\!   sources/pics/vector-logo/gorilla-logo.svg debian/password-gorilla/usr/share/icons/hicolor/96x96/apps/password-gorilla.png
	convert -background none -resize 128x128\! sources/pics/vector-logo/gorilla-logo.svg debian/password-gorilla/usr/share/icons/hicolor/128x128/apps/password-gorilla.png
	convert                  -resize 32x32\!   sources/pics/vector-logo/gorilla-logo.svg debian/password-gorilla/usr/share/pixmaps/password-gorilla.xpm
	dh_install

=== debian/watch ===
version=3
https://github.com/zdia/gorilla/tags .*/v(\d[\d\.]+)\.tar\.gz

## password-gorilla 1.6.0~git20180203.228bbbb

=== sources/twofish/Makefile ===
# Makefile for twofish2tcl.c

# Author: Richard Ellis
# Copyright 2015 Richard Ellis

# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 2 of the License, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write to the Free Software Foundation 51
# Franklin Street, Suite 500 Boston, MA 02110-1335

# Note - force i486 compilation on 32-bit systems so as to be most
# compatible with the largest number of CPUs likely to be running Gorilla. 
# This will cost some performance but it increases the compatibility of the
# resulting compiled shared object file.

# If you wish to recompile for your specific 32-bit architecture, simply
# change 'i486' below to the appropriate GCC arch name for your CPU,
# recompile, and replace the existing twofish.so within the apprirpiate
# *-ix86 directory for your OS

ARCH := $(shell getconf LONG_BIT)

ifeq ($(ARCH),32)
    CPU := -march=i486 -mtune=i486
endif

CFLAGS := -std=c99 -Wall -fPIC -O3 -fomit-frame-pointer \
          $(shell pkg-config --cflags tcl) -DUSE_TCL_STUBS $(CPU)

LDFLAGS := -fPIC -shared $(shell pkg-config --libs tcl) -ltclstub8.5

CC := gcc

.DEFAULT_GOAL := twofish2tcl.so

twofish2tcl.o: twofish2tcl.c tables.h Makefile
	$(CC) $(CFLAGS) -o twofish2tcl.o -c twofish2tcl.c

twofish2tcl.so: twofish2tcl.o
	$(CC) -o twofish2tcl.so twofish2tcl.o $(LDFLAGS)

.PHONY: clean
clean:
	rm -fv twofish2tcl.o twofish2tcl.so

=== debian/changelog ===
password-gorilla (1.6.0~git20180203.228bbbb-1) unstable; urgency=low

  * New package based on upstream pre-release v1.6.0-git228bbbb
    + Version doesn't depend on ifconfig anymore (Closes: #873056)
    + New version works with Debian unstable (Closes: #888893)
      following the deprecation of tcl8.5 (itcl3 issue)
    + Confirm that old bug is fixed (Closes: #629114)
  * Packaging repo now hosted on Debian salsa
  * debian/control:
    + Build-Depends: bump debhelper dependency to (>= 11) to reflect change in
      compat file. Remove version dependency on dpkg-dev, as it is fulfilled
      by buildessentials package
    + Standards-Version: bump version to (4.1.3), the current policy version
    + Depends: change hard-coded tcl8.5/tk8.5 to tcl/tk to reflect changes in
      upstream code
    + Priority: use optional instead of extra per lintian's suggestion
    + Vcs-Git: use https:// instead of git:// per lintian's suggestion
  * debian/misc:
    + copyright: update to use machine-readable format
    + patches: patch sources to reflect version number 1.6.0
    + compat: bump version to (11) to reflect current recommendation of
      debhelper(7)
    + menu: remove deprecated file per lintian's suggestion
    + desktop: add keywords per lintian's suggestion
    + rules: Use rsvg-convert to generate icons in debian/rules, as
      imagemagick generated empty PNGs

 -- Alexandre J. Raymond <alexandre.j.raymond@gmail.com>  Thu, 1 Feb 2018 13:07:00 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: password-gorilla
 Section: x11
-Priority: extra
-Maintainer: Alexandre Raymond <alexandre.j.raymond@gmail.com>
+Priority: optional
+Maintainer: Alexandre J. Raymond <alexandre.j.raymond@gmail.com>
 Homepage: https://github.com/zdia/gorilla/wiki
-Vcs-Git: git://github.com/ajraymond/gorilla-debian.git
-Vcs-Browser: https://github.com/ajraymond/gorilla-debian
-Build-Depends: debhelper (>= 8.0.0), dpkg-dev (>= 1.16.1~)
-Build-Depends-Indep: docbook-to-man, imagemagick, librsvg2-bin, tk8.5
-Standards-Version: 3.9.4
+Vcs-Git: https://salsa.debian.org/ajraymond-guest/password-gorilla-debian.git
+Vcs-Browser: https://salsa.debian.org/ajraymond-guest/password-gorilla-debian
+Build-Depends: debhelper (>= 11)
+Build-Depends-Indep: docbook-to-man, librsvg2-bin, tk
+Standards-Version: 4.1.3
 
 Package: password-gorilla
 Architecture: all
-Depends: tcl8.5, tk8.5, itcl3, tcllib, tklib, ${misc:Depends}
+Depends: tcl, tk, itcl3, tcllib, tklib, ${misc:Depends}
 Description: cross-platform password manager
  The Password Gorilla helps you manage your logins. It stores all your
  user names and passwords, along with login information and other

=== debian/rules ===
#!/usr/bin/make -f

# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	docbook-to-man debian/password-gorilla.sgml	> debian/password-gorilla.1
	dh_auto_build

override_dh_install:
	install -D debian/password-gorilla.sh debian/password-gorilla/usr/bin/password-gorilla
	install -D sources/CHANGES.txt debian/password-gorilla/usr/share/doc/password-gorilla/changelog
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/16x16/apps
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/32x32/apps
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/48x48/apps
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/72x72/apps
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/96x96/apps
	mkdir -p debian/password-gorilla/usr/share/icons/hicolor/128x128/apps
	rsvg-convert --width 16 --height 16  sources/pics/vector-logo/gorilla-logo.svg -o debian/password-gorilla/usr/share/icons/hicolor/16x16/apps/password-gorilla.png
	rsvg-convert --width 32 --height 32  sources/pics/vector-logo/gorilla-logo.svg -o debian/password-gorilla/usr/share/icons/hicolor/32x32/apps/password-gorilla.png
	rsvg-convert --width 48 --height 48  sources/pics/vector-logo/gorilla-logo.svg -o debian/password-gorilla/usr/share/icons/hicolor/48x48/apps/password-gorilla.png
	rsvg-convert --width 72 --height 72  sources/pics/vector-logo/gorilla-logo.svg -o debian/password-gorilla/usr/share/icons/hicolor/72x72/apps/password-gorilla.png
	rsvg-convert --width 96 --height 96  sources/pics/vector-logo/gorilla-logo.svg -o debian/password-gorilla/usr/share/icons/hicolor/96x96/apps/password-gorilla.png
	rsvg-convert --width 128 --height 128 sources/pics/vector-logo/gorilla-logo.svg -o debian/password-gorilla/usr/share/icons/hicolor/128x128/apps/password-gorilla.png
	dh_install
